---
title: Element.onfullscreenerror
slug: Web/API/Element/onfullscreenerror
tags:
  - API
  - Element
  - Event Handler
  - Full
  - Full-screen API
  - Property
  - Reference
  - fullscreen
  - onfullscreenerror
  - screen
---
<div>{{ApiRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The {{domxref("Element")}} interface's <code><strong>onfullscreenerror</strong></code> property is an event handler for the {{domxref("Element/fullscreenerror_event", "fullscreenerror")}} event which is sent to the element when an error occurs while attempting to transition into or out of full-screen mode.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>targetElement</var>.onfullscreenerror = <var>fullscreenErrorHandler</var>;
</pre>

<h3 id="Value">Value</h3>

<p>An error handler for the {{domxref("Element/fullscreenerror_event", "fullscreenerror")}} event.</p>

<h2 id="Example">Example</h2>

<p>This example attempts to switch into full-screen mode from outside a handler for a user-initiated event (such as a {{domxref("Element/click_event", "click")}} or {{domxref("Element/keypress_event", "keypress")}} event). Since full-screen mode changes are only permitted in response to a user input, this causes an error to occur, which triggers the delivery of the {{domxref("Element/fullscreenerror_event", "fullscreenerror")}} event to the error handler,</p>

<pre class="brush: js notranslate">let elem = document.querySelector("video")}}

elem.onfullscreenerror = function ( event ) {
  displayWarning("Unable to switch into full-screen mode.");
};

//....

elem.requestFullscreen();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#handler-document-onfullscreenerror", "onfullscreenerror")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.onfullscreenerror")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{domxref("Element/fullscreenerror_event", "fullscreenerror")}}</li>
 <li>{{domxref("Element.onfullscreenerror")}}</li>
 <li>{{domxref("Document.onfullscreenerror")}}</li>
</ul>
